import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import java.util.Properties;

import javax.jms.ConnectionFactory;
import javax.jms.JMSException;
import javax.naming.NamingException;
import javax.naming.directory.InitialDirContext;

import org.apache.qpid.client.AMQConnectionURL;
import org.apache.qpid.url.URLSyntaxException;
import org.junit.Before;
import org.junit.Test;

public class CredentialsOptional
{
    private InitialDirContext context;
    private String cfName = "qpidConnectionFactory";

    //The broker is configured to use PLAIN authentication
    //i.e the client username/password is configured in the sasl db on the broker machine
    
    @Before
    public void setup() throws Exception
    {
	String brokerList = "tcp://localhost:5672";
	
	Properties jndiProperties = new Properties();
	jndiProperties.put("java.naming.factory.initial", "org.apache.qpid.jndi.PropertiesFileInitialContextFactory");
	jndiProperties.put(
		"connectionfactory." + cfName, 
		"amqp://dummy:dummy@connClientId/connVHost?brokerlist='"+ brokerList + "'");
	
	context = new InitialDirContext(jndiProperties);
    }
    
    @Test
    public void connectionURLWithoutUserInfo() throws URLSyntaxException
    {
	//amqp://[<user>:<pass>@][<clientid>]<virtualhost>[?<option>='<value>'[&<option>='<value>']]
	String url = "amqp://clientid/test?brokerlist='tcp://localhost:5672'";
	new AMQConnectionURL(url);
    }
}
